package com.qqchen.deploy.backend.schedule.enums;

/**
 * 任务执行状态枚举
 * 
 * @author qichen
 */
public enum JobStatusEnum {
    
    /**
     * 等待执行
     */
    WAITING("等待执行"),
    
    /**
     * 运行中
     */
    RUNNING("运行中"),
    
    /**
     * 执行成功
     */
    SUCCESS("执行成功"),
    
    /**
     * 执行失败
     */
    FAIL("执行失败"),
    
    /**
     * 执行超时
     */
    TIMEOUT("执行超时");
    
    private final String description;
    
    JobStatusEnum(String description) {
        this.description = description;
    }
    
    public String getDescription() {
        return description;
    }
}

